{% extends 'admin/adminbase.html.twig' %}
{% block moreCss %}
    <link href="{{ asset('dropify/css/dropify.css') }}" rel="stylesheet">

{% endblock %}
{% block body %}
    <div class="card-genossys">
        <h5>Edit Admin</h5>
        <div class="row mb-2">
            <div class="col col-sm-12 col-md-6">
                <label>Foto Profil Admin</label>
                <form id="fotoProfile" method="post" enctype="multipart/form-data">
                    <input name="id" value="{{ admin.getUser().id }}" hidden>
                    <input name="action" value="avatar" hidden>
                    <div class="input-field" id="div-img">
                        <input type="file" required id="avatar" class="fotoprofile" data-min-height="10"
                               data-height="150" data-default-file="{{ admin.avatar ?? '' }}"
                               accept="image/jpeg, image/jpg, image/png" onchange="editImg('avatar')"
                               data-allowed-file-extensions="jpg jpeg png"
                        />
                    </div>
                </form>
            </div>
            <div class="col col-sm-12 col-md-6">
                <label>Foto KTP Admin</label>
                <form id="fotoProfile" method="post" enctype="multipart/form-data">
                    <input name="id" value="{{ admin.getUser().id }}" hidden>
                    <input name="action" value="license" hidden>
                    <div class="input-field" id="div-img">
                        <input type="file" required id="license" class="fotoktp" data-min-height="10"
                               data-height="150" data-default-file="{{ admin.license ?? '' }}"
                               accept="image/jpeg, image/jpg, image/png" onchange="editImg('license')"
                               data-allowed-file-extensions="jpg jpeg png"
                        />
                    </div>
                </form>
            </div>
            <div class="col col-sm-12 col-md-12">
                <p>* Untuk merubah foto profil & foto ktp, silahkan klik / drag & drop pada foto</p>

            </div>
        </div>
        <form id="formAdmin" method="post">
            <input name="id" value="{{ admin.getUser().id }}" hidden>
            <div class="form-group">
                <label for="fullName">Nama Lengkap</label>
                <input type="text" class="form-control" id="fullName" name="fullName" value="{{ admin.fullname }}" placeholder="Nama Lengkap Admin">
            </div>
            <div class="form-group">
                <label for="phone">Nomor Hp.</label>
                <input type="text" class="form-control" id="phone" name="phone" placeholder="Homor Ponsel" value="{{ admin.phone }}">
            </div>
            <div class="form-group">
                <label for="phone">Tipe Email :</label>
                <div class="form-check">
                    <input class="form-check-input" type="radio" name="tipeEmail" id="google" value="google" {{ admin.getUser().provider == 'google' ? 'checked' : '' }}>
                    <label class="form-check-label" for="google">
                        Google
                    </label>
                </div>
                <div class="form-check">
                    <input class="form-check-input" type="radio" name="tipeEmail" id="facebook" value="facebook" {{ admin.getUser().provider == 'facebook' ? 'checked' : '' }}>
                    <label class="form-check-label" for="facebook">
                        Facebook
                    </label>
                </div>
            </div>
            <div class="form-group">
                <label for="email">Email</label>
                <input type="email" class="form-control" id="email" name="email" placeholder="Masukkan Email" value="{{ admin.getUser().email }}">
            </div>
            <div class="form-group">
                <label for="jabatan">Jabatan</label>
                <input type="text" class="form-control" id="jabatan" name="position" placeholder="Masukkan Jabatan" value="{{ admin.position }}">
            </div>
            <div class="form-group">
                <label for="exampleInputEmail1">Previlege</label>
                <select class="form-control" name="privilege" id="privilege">
                    <option value="">Pilih Privilege</option>
                    <option value="Super Admin">Super Admin</option>
                    <option value="Admin">Admin</option>
                    <option value="Akuntan">Akuntan</option>
                    <option value="Operasional">Operasional</option>
                    <option value="Verifikator">Verifikator</option>
                </select>
            </div>
            <div class="">
                <div class="float-right m-2">
                    <a class="btn btn-primary btn-blue" onclick="editData()">Edit</a>
                </div>
                <div class="float-right m-2">
                    <a class="btn btn-danger btn-rose" href="{{ path('admin-user') }}">Close</a>
                </div>
            </div>
        </form>
    </div>
{% endblock %}

{% block javascripts %}
    <script src="{{ asset('dropify/js/dropify.js') }}"></script>
    <script type="text/javascript"
            src="https://cdn.jsdelivr.net/npm/browser-image-compression@latest/dist/browser-image-compression.js"></script>
    <script>
        $(document).ready(function () {
            var privilege = '{{ admin.privilege }}';
            console.log(privilege);
            $('#privilege').val(privilege);
            $('.fotoktp').dropify({
                messages: {
                    'default': 'Masukkan File KTP',
                    'replace': 'Drag and drop or click to replace',
                    'remove': 'Remove',
                    'error': 'Ooops, something wrong happended.'
                }
            });

            $('.fotoprofile').dropify({
                messages: {
                    'default': 'Masukkan File Foto',
                    'replace': 'Drag and drop or click to replace',
                    'remove': 'Remove',
                    'error': 'Ooops, something wrong happended.'
                }
            });

        });

        function editData() {
            if ($('#formAdmin #privilege').val() === '') {
                alertify.alert('Warning', 'Previlege belum dipilih !');
            } else {
                alertify.confirm("Edit Data Admin", "Apakah data yang anda edit sudah benar ?",
                    function () {
                        // alertify.notify('Bangsat', 'error', 5, function(){  console.log('dismissed'); });
                        document.getElementById('formAdmin').submit();

                    },
                    function () {

                    }
                );
            }

        }

        async function editImg(lokasi) {
            let data = await handleImageUpload($('#' + lokasi));

            var formData = new FormData();

            formData.append('foto', data, data.name);
            formData.append('action', lokasi);
            formData.append('id', {{ admin.getUser().id }});
            console.log(formData);
            $.ajax({
                type: "POST",
                success: function (data) {
                    console.log(data);
                    alertify.notify('Berhasi merubah data', 'success', 5, function () {
                        console.log('dismissed');
                    });
                },
                error: function (error) {
                    console.log("LOG ERROR", error);
                    // handle error
                },
                async: true,
                data: formData,
                cache: false,
                contentType: false,
                processData: false,
                timeout: 60000
            })
        }

    </script>
{% endblock %}